X
Tap here to go to the mobile version of the site.

Support Forum

Can't install add-ons on my Macbook because firefox "cannot modify the needed file" !!

Posted

I am not sure how to use terminal and commands in the same. Help with the same would be greatly appreciated.

I am not sure how to use terminal and commands in the same. Help with the same would be greatly appreciated.

Chosen solution

You can try resetting the account by using the link :

http://support.mozilla.org/en-US/kb/reset-firefox-easily-fix-most-problems

Hope this helps.

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 11.4 r402
  • Displays Java applet content, or a placeholder if Java is not installed.

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:15.0) Gecko/20100101 Firefox/15.0.1

More Information

ideato
  • Top 25 Contributor
715 solutions 5224 answers

Hi diveshsareen

see : Command line arguments - For Linux and Mac OS X users

try cor-el reply in the next link : https://support.mozilla.org/en-US/questions/923286


thank you

Hi diveshsareen see : [http://kb.mozillazine.org/Command_line_arguments#For_Linux_and_Mac_OS_X_users Command line arguments - For Linux and Mac OS X users] try cor-el reply in the next link : https://support.mozilla.org/en-US/questions/923286 thank you
cor-el
  • Top 10 Contributor
  • Moderator
12307 solutions 113980 answers

You get that message if the extension needs to be unpacked to run properly because it want to make changes or save data in its extension folder.
The normal way is to copy the extensions XPI file to its extensions folder without unpacking all files.

Which extension(s) give you that error message?

You get that message if the extension needs to be unpacked to run properly because it want to make changes or save data in its extension folder.<br /> The normal way is to copy the extensions XPI file to its extensions folder without unpacking all files. * https://developer.mozilla.org/En/Updating_extensions_for_Firefox_4.0#XPI_unpacking Which extension(s) give you that error message?

Modified by cor-el

Question owner

Hi Guys, I am having issue installing firebug and web developer. Is there an easy fix / step by step guide or video I can refer to please ?? Thanks.

Hi Guys, I am having issue installing firebug and web developer. Is there an easy fix / step by step guide or video I can refer to please ?? Thanks.
cor-el
  • Top 10 Contributor
  • Moderator
12307 solutions 113980 answers

Try to set the Boolean pref extensions.alwaysUnpack to true on the about:config page.

Try to set the Boolean pref <b>extensions.alwaysUnpack</b> to <i>true</i> on the <b>about:config</b> page. *http://kb.mozillazine.org/about:config
axstrad 0 solutions 2 answers

Hey,

I'm having the exact same issue, except I'm on OSX 10.8.2 and FF 16.0.1.

I can't install any extensions. If I try via Tools -> Add Ons, I get the error "There was an error installing <extension-name>". If I try via the addons.mozilla.org site I get the "can't modify file" error msg.

I have changed extensions.alwaysUnpack to TRUE, but there is no change.

Any help would be greatly appreciated.

Hey, I'm having the exact same issue, except I'm on OSX 10.8.2 and FF 16.0.1. I can't install any extensions. If I try via Tools -> Add Ons, I get the error "There was an error installing <extension-name>". If I try via the addons.mozilla.org site I get the "can't modify file" error msg. I have changed '''extensions.alwaysUnpack''' to ''TRUE'', but there is no change. Any help would be greatly appreciated.

Chosen Solution

You can try resetting the account by using the link :

http://support.mozilla.org/en-US/kb/reset-firefox-easily-fix-most-problems

Hope this helps.

You can try resetting the account by using the link : http://support.mozilla.org/en-US/kb/reset-firefox-easily-fix-most-problems Hope this helps.

Question owner

I mean try resetting firefox as this resolved the issue for me.

I mean try resetting firefox as this resolved the issue for me.
axstrad 0 solutions 2 answers

That worked perfect, I now have Firebug.

Thank you

That worked perfect, I now have Firebug. Thank you